Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_PrincipalAuthenticator Class Reference

Implementation of the SecurityLevel2::PrincipalAuthenticator interface. More...

`#include <PrincipalAuthenticator.h>`

Inheritance diagram for TAO_PrincipalAuthenticator:

[legend]
Collaboration diagram for TAO_PrincipalAuthenticator:

[legend]
List of all members.

## Public Methods
| TAO_PrincipalAuthenticator (TAO_SecurityManager *manager)
| Constructor. More...
Downcast Related Methods
Methods used for downcasting and manipulating the reference count of this interface.
virtual Security::AuthenticationMethodList * | get_supported_authen_methods (const char *mechanism ACE_ENV_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Protected Methods
| ~TAO_PrincipalAuthenticator (void)
| Protected destructor to enforce the fact this class is reference counted, and should not be destroyed using delete() by anything other than the reference counting mechanism. More...
## Private Attributes
ACE_Array_Base< void *> | vaults_
| Array of registered security mechanism-specific Vaults. More...
TAO_SecurityManager * | security_manager_
| Pointer to the SecurityManager that "owns" this PrincipalAuthenticator. More...

## Detailed Description

Implementation of the SecurityLevel2::PrincipalAuthenticator interface.

This class implements the chain-of-responsibility design pattern to decide which security mechanism

## Constructor & Destructor Documentation

TAO_PrincipalAuthenticator::TAO_PrincipalAuthenticator | ( | TAO_SecurityManager * | manager | ) |

| Constructor.

TAO_PrincipalAuthenticator::~TAO_PrincipalAuthenticator | ( | void |  | ) | `[protected]`

| Protected destructor to enforce the fact this class is reference counted, and should not be destroyed using delete() by anything other than the reference counting mechanism.

## Member Function Documentation

virtual const char* TAO_PrincipalAuthenticator::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA_Object.

virtual void* TAO_PrincipalAuthenticator::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA_Object.

virtual Security::AuthenticationMethodList* TAO_PrincipalAuthenticator::get_supported_authen_methods | ( | const char *mechanism | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[inline, virtual]`

## Member Data Documentation

TAO_SecurityManager* TAO_PrincipalAuthenticator::security_manager_`[private]`

| Pointer to the SecurityManager that "owns" this PrincipalAuthenticator.

ACE_Array_Base<void *> TAO_PrincipalAuthenticator::vaults_`[private]`

| Array of registered security mechanism-specific Vaults.

The documentation for this class was generated from the following files:

- PrincipalAuthenticator.h
- PrincipalAuthenticator.cpp